	public	print

print:
	push	h
	push	d
	LHLD	1		; hole Warmboot Adresse
	MVI	L,0		; zuruecksetzen des Low Bytes
	LXI	D,0FH
	DAD	D
	shld	tag2+1
	pop	d
	pop	h
	call	getprm		; get length
	push	d
	lhld	store
	call	getprm		; get pointer
	xchg
	pop	b
tag:
	push	h
	push	b
	mov	c,m		; get character
tag2:	call	0		; call bios
	pop	b
	pop	h
	inx	h
	dcx	b
	mov	a,b
	ora	c
	jnz	tag		; next character
	ret


store:	dw	0

getprm:
	mov	e,m
	inx	h
	mov	d,m
	inx	h
	shld	store
	xchg
	mov	e,m
	inx	h
	mov	d,m
	ret

	end

